unit About;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Stamps;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    Panel2: TPanel;
    ProgramIcon: TImage;
    ScrollBox1: TScrollBox;
    Label2: TLabel;
    Copyright: TLabel;
    Label1: TLabel;
    TimeStamp1: TTimeStamp;
    Version: TLabel;
    ProductName: TLabel;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Private declarations }
    HaveScrolledBy: integer;
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.Timer1Timer(Sender: TObject);
begin
  if HaveScrolledBy < 250 then
  begin
    ScrollBox1.ScrollBy(0,-4);
    Inc(HaveScrolledBy, 4);
  end else
  begin
    ScrollBox1.ScrollBy(0,HaveScrolledBy);
    HaveScrolledBy := 0;
  end;
end;

procedure TAboutBox.FormShow(Sender: TObject);
begin
  ScrollBox1.ScrollBy(0,HaveScrolledBy);
  HaveScrolledBy := 0;
  Timer1.Enabled := true;
end;

procedure TAboutBox.FormHide(Sender: TObject);
begin
  Timer1.Enabled := false;
end;

end.
 
